-- MySQL dump 8.21
--
-- Host: localhost    Database: jffnms
---------------------------------------------------------
-- Server version	3.23.49a

--
-- Table structure for table 'acct'
--

DROP TABLE IF EXISTS `acct`;
CREATE TABLE `acct` (
  `id` int(15) NOT NULL auto_increment,
  `usern` varchar(15) NOT NULL default '',
  `s_name` varchar(30) NOT NULL default '',
  `c_name` varchar(30) NOT NULL default '',
  `elapsed_time` int(11) NOT NULL default '0',
  `bytes_in` int(11) default '0',
  `bytes_out` int(11) default '0',
  `date` datetime NOT NULL default '0000-00-00 00:00:00',
  `cmd` varchar(250) NOT NULL default '',
  `type` varchar(15) NOT NULL default '0',
  `analized` tinyint(2) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `id` (`id`),
  KEY `id_2` (`id`),
  KEY `analized` (`analized`),
  KEY `s_name` (`s_name`)
) TYPE=MyISAM;

--
-- Dumping data for table 'acct'
--



--
-- Table structure for table 'alarm_states'
--

DROP TABLE IF EXISTS `alarm_states`;
CREATE TABLE `alarm_states` (
  `id` int(10) NOT NULL auto_increment,
  `description` varchar(60) NOT NULL default '',
  `activate_alarm` tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `id` (`id`),
  KEY `id_2` (`id`),
  KEY `description` (`description`)
) TYPE=MyISAM;

--
-- Dumping data for table 'alarm_states'
--


INSERT INTO `alarm_states` VALUES (1,'down',1),(2,'up',2),(3,'alert',3);

--
-- Table structure for table 'alarms'
--

DROP TABLE IF EXISTS `alarms`;
CREATE TABLE `alarms` (
  `id` int(10) NOT NULL auto_increment,
  `date_start` datetime default '0000-00-00 00:00:00',
  `date_stop` datetime NOT NULL default '0000-00-00 00:00:00',
  `interface` int(10) NOT NULL default '0',
  `type` int(10) NOT NULL default '0',
  `active` tinyint(1) NOT NULL default '1',
  `referer_start` int(10) NOT NULL default '0',
  `referer_stop` int(10) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `id` (`id`),
  KEY `id_2` (`id`),
  KEY `type` (`type`),
  KEY `interface` (`interface`),
  KEY `date_start` (`date_start`),
  KEY `date_stop` (`date_stop`),
  KEY `active` (`active`)
) TYPE=MyISAM;

--
-- Dumping data for table 'alarms'
--



--
-- Table structure for table 'auth'
--

DROP TABLE IF EXISTS `auth`;
CREATE TABLE `auth` (
  `id` int(10) NOT NULL auto_increment,
  `usern` varchar(15) NOT NULL default '',
  `passwd` varchar(15) NOT NULL default '',
  `fullname` varchar(100) NOT NULL default '',
  `router` tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `id` (`id`)
) TYPE=MyISAM;

--
-- Dumping data for table 'auth'
--


INSERT INTO `auth` VALUES (1,'No User No User','vP8jd.KrHHL3.','No User',0),(20,'admin','fbQz1oS.j2Nfc','Administrator',0);

--
-- Table structure for table 'authorization'
--

DROP TABLE IF EXISTS `authorization`;
CREATE TABLE `authorization` (
  `id` int(10) NOT NULL auto_increment,
  `user` int(10) NOT NULL default '0',
  `tag` int(10) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `id` (`id`),
  KEY `id_2` (`id`),
  KEY `user` (`user`),
  KEY `tag` (`tag`)
) TYPE=MyISAM COMMENT='User Authorization';

--
-- Dumping data for table 'authorization'
--


INSERT INTO `authorization` VALUES (1,1,1),(13,20,2),(14,20,8),(15,20,4);

--
-- Table structure for table 'authorization_tags'
--

DROP TABLE IF EXISTS `authorization_tags`;
CREATE TABLE `authorization_tags` (
  `id` int(10) NOT NULL auto_increment,
  `tag` varchar(30) NOT NULL default '',
  `description` varchar(60) NOT NULL default '',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `id` (`id`),
  KEY `id_2` (`id`),
  KEY `tag` (`tag`)
) TYPE=MyISAM COMMENT='Authorization Tags';

--
-- Dumping data for table 'authorization_tags'
--


INSERT INTO `authorization_tags` VALUES (1,'NO_TAG','No Tag'),(2,'ADMIN_ACCESS','Administration Access'),(3,'VIEW_ONLY','View Only'),(5,'PERFORMANCE_VIEW_ALL_TIMES','View all Performance Time Options'),(6,'PERFORMANCE_VIEW_ALL','View all Performance Elements'),(7,'MESSAGES_VIEW_ALL','View all Messages'),(8,'ADMIN_USERS','Administer All Users');

--
-- Table structure for table 'clients'
--

DROP TABLE IF EXISTS `clients`;
CREATE TABLE `clients` (
  `id` int(10) NOT NULL auto_increment,
  `username` varchar(30) NOT NULL default '',
  `password` varchar(30) NOT NULL default '',
  `name` varchar(60) NOT NULL default '',
  `shortname` varchar(30) NOT NULL default '',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `id` (`id`)
) TYPE=MyISAM;

--
-- Dumping data for table 'clients'
--


INSERT INTO `clients` VALUES (1,'unkclient','','Unknown Client','Unknown');

--
-- Table structure for table 'events'
--

DROP TABLE IF EXISTS `events`;
CREATE TABLE `events` (
  `id` int(10) NOT NULL auto_increment,
  `date` datetime NOT NULL default '0000-00-00 00:00:00',
  `tipo` int(10) NOT NULL default '0',
  `host` int(10) NOT NULL default '0',
  `interface` varchar(60) NOT NULL default '',
  `state` varchar(60) NOT NULL default '',
  `user` varchar(60) NOT NULL default '',
  `info` varchar(80) NOT NULL default '',
  `referencia` int(10) NOT NULL default '0',
  `ack` int(10) NOT NULL default '0',
  `ticket` varchar(10) NOT NULL default '',
  `analized` tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `id` (`id`),
  KEY `id_2` (`id`),
  KEY `date` (`date`),
  KEY `tipo` (`tipo`),
  KEY `host` (`host`),
  KEY `interface` (`interface`),
  KEY `user` (`user`),
  KEY `analized` (`analized`),
  KEY `ticket` (`ticket`)
) TYPE=MyISAM;

--
-- Dumping data for table 'events'
--


INSERT INTO `events` VALUES (1,'2002-01-19 19:14:05',1,1,'Loopback0','','szysz','Welcome to JFFNMS this is a Test Event',1,0,'',1),(2,'2002-01-19 20:39:31',3,1,'vty0','This is a More severe Event (Click on the Alarm)','szysz','',1,0,'',1);

--
-- Table structure for table 'filters'
--

DROP TABLE IF EXISTS `filters`;
CREATE TABLE `filters` (
  `id` int(10) NOT NULL auto_increment,
  `description` varchar(40) NOT NULL default '',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `id` (`id`),
  KEY `id_2` (`id`)
) TYPE=MyISAM;

--
-- Dumping data for table 'filters'
--


INSERT INTO `filters` VALUES (1,'All Events'),(8,'Dont Show SLA'),(4,'Severity Level > 2'),(5,'Dont Show SLA or Commands'),(6,'Dont Show Commands'),(9,'Only SLA'),(10,'BGP Events'),(11,'Ticketed Events'),(12,'Last 30 Minutes'),(13,'Commands Only');

--
-- Table structure for table 'filters_cond'
--

DROP TABLE IF EXISTS `filters_cond`;
CREATE TABLE `filters_cond` (
  `id` int(10) NOT NULL auto_increment,
  `filter` int(10) NOT NULL default '0',
  `pos` int(5) NOT NULL default '0',
  `field` int(10) NOT NULL default '0',
  `op` varchar(10) NOT NULL default '=',
  `value` varchar(60) NOT NULL default '',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `id` (`id`),
  KEY `id_2` (`id`),
  KEY `filter` (`filter`),
  KEY `field` (`field`)
) TYPE=MyISAM;

--
-- Dumping data for table 'filters_cond'
--


INSERT INTO `filters_cond` VALUES (1,1,1,1,'=','1'),(2,5,1,2,'!=','12'),(3,4,1,3,'>','2'),(4,5,3,2,'!=','8'),(5,5,2,4,'=',''),(6,8,1,2,'!=','12'),(7,6,1,2,'!=','8'),(8,9,1,2,'=','12'),(10,10,1,2,'=','6'),(11,11,1,8,'!=',''),(12,12,1,9,'>','NOW() - INTERVAL 30 MINUTE'),(13,13,1,2,'=','8');

--
-- Table structure for table 'filters_fields'
--

DROP TABLE IF EXISTS `filters_fields`;
CREATE TABLE `filters_fields` (
  `id` int(10) NOT NULL auto_increment,
  `description` varchar(40) NOT NULL default '',
  `field` varchar(40) NOT NULL default '',
  `function` varchar(60) NOT NULL default '',
  `events_var` varchar(30) NOT NULL default '',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `id` (`id`),
  KEY `id_2` (`id`)
) TYPE=MyISAM COMMENT='Fields that can be used for filtering';

--
-- Dumping data for table 'filters_fields'
--


INSERT INTO `filters_fields` VALUES (1,'ALL','\'1\'','\'\'','\'\''),(8,'Ticket','events.ticket','textbox(\'value\',\'<value>\')','ticket'),(2,'Event Type','types.id','select_types(\'value\',\'<value>\')','type_id'),(3,'Severity','severity.nivel','select_severity(\'value\',\'<value>\')','severity_level'),(4,'AND','AND','\'\'','\'\''),(5,'OR','OR','\'\'','\'\''),(6,'Host','events.host','select_hosts(\'value\',\'<value>\')','host_id'),(7,'Zone','zones.id','select_zones(\'value\',\'<value>\')','zone_id'),(9,'Date','events.date','textbox(\'value\',\'<value>\')','date');

--
-- Table structure for table 'hosts'
--

DROP TABLE IF EXISTS `hosts`;
CREATE TABLE `hosts` (
  `id` int(5) NOT NULL auto_increment,
  `ip_tacacs` varchar(16) NOT NULL default '',
  `ip` varchar(20) NOT NULL default '',
  `name` varchar(30) NOT NULL default '',
  `rocommunity` varchar(30) NOT NULL default '',
  `rwcommunity` varchar(30) NOT NULL default '',
  `zone` int(10) NOT NULL default '0',
  `backbone` varchar(20) NOT NULL default '',
  `tftp` varchar(20) NOT NULL default '',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `id` (`id`),
  KEY `id_2` (`id`),
  KEY `zone` (`zone`),
  KEY `ip` (`ip`),
  KEY `ip_tacacs` (`ip_tacacs`),
  KEY `rwcommunity` (`rwcommunity`),
  KEY `rocommunity` (`rocommunity`)
) TYPE=MyISAM;

--
-- Dumping data for table 'hosts'
--


INSERT INTO `hosts` VALUES (1,'0.0.0.0','0.0.0.0','Unknown','','',1,'','');

--
-- Table structure for table 'hosts_config'
--

DROP TABLE IF EXISTS `hosts_config`;
CREATE TABLE `hosts_config` (
  `id` int(10) NOT NULL auto_increment,
  `date` datetime NOT NULL default '0000-00-00 00:00:00',
  `host` int(10) NOT NULL default '0',
  `config` text NOT NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `id` (`id`),
  KEY `id_2` (`id`),
  KEY `host` (`host`)
) TYPE=MyISAM COMMENT='Hosts Config Files';

--
-- Dumping data for table 'hosts_config'
--



--
-- Table structure for table 'interfaces'
--

DROP TABLE IF EXISTS `interfaces`;
CREATE TABLE `interfaces` (
  `id` int(10) NOT NULL auto_increment,
  `description` varchar(250) NOT NULL default '',
  `address` varchar(250) NOT NULL default '',
  `peer` varchar(250) NOT NULL default '',
  `interface` varchar(30) NOT NULL default '',
  `interfacenumber` int(5) NOT NULL default '0',
  `host` tinyint(10) NOT NULL default '0',
  `noerrors` tinyint(1) NOT NULL default '0',
  `client` int(10) NOT NULL default '0',
  `bandwidthin` varchar(20) NOT NULL default '',
  `bandwidthout` varchar(20) NOT NULL default '',
  `sla` int(4) NOT NULL default '0',
  `flipinout` tinyint(1) NOT NULL default '1',
  `poll` tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `idint` (`id`),
  KEY `address` (`address`),
  KEY `interface` (`interface`),
  KEY `host` (`host`),
  KEY `client` (`client`),
  KEY `poll` (`poll`),
  KEY `sla` (`sla`),
  KEY `interfacenumber` (`interfacenumber`)
) TYPE=MyISAM;

--
-- Dumping data for table 'interfaces'
--


INSERT INTO `interfaces` VALUES (1,'No Link','','','Unknown0',0,1,0,1,'','',1,0,0);

--
-- Table structure for table 'journal'
--

DROP TABLE IF EXISTS `journal`;
CREATE TABLE `journal` (
  `id` int(10) NOT NULL auto_increment,
  `date` datetime NOT NULL default '0000-00-00 00:00:00',
  `reference` int(10) NOT NULL default '0',
  `comment` text NOT NULL,
  `user` int(10) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `id` (`id`),
  UNIQUE KEY `referencia` (`reference`),
  KEY `id_2` (`id`),
  KEY `reference` (`reference`)
) TYPE=MyISAM;

--
-- Dumping data for table 'journal'
--


INSERT INTO `journal` VALUES (1,'2002-01-20 19:09:07',0,'Internally used ID\'s',0),(2,'2002-01-20 19:09:07',-2,'Internally used ID\'s',0);

--
-- Table structure for table 'maps'
--

DROP TABLE IF EXISTS `maps`;
CREATE TABLE `maps` (
  `id` int(10) NOT NULL auto_increment,
  `parent` int(10) NOT NULL default '0',
  `name` varchar(60) NOT NULL default '',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `id` (`id`),
  KEY `id_2` (`id`),
  KEY `parent` (`parent`)
) TYPE=MyISAM COMMENT='Map Hierarchy';

--
-- Dumping data for table 'maps'
--


INSERT INTO `maps` VALUES (1,1,'Root Map');

--
-- Table structure for table 'maps_interfaces'
--

DROP TABLE IF EXISTS `maps_interfaces`;
CREATE TABLE `maps_interfaces` (
  `id` int(10) NOT NULL auto_increment,
  `map` int(10) NOT NULL default '0',
  `interface` int(10) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `id` (`id`),
  KEY `id2` (`id`),
  KEY `map` (`map`),
  KEY `interface` (`interface`)
) TYPE=MyISAM COMMENT='Map to Interface Mapping';

--
-- Dumping data for table 'maps_interfaces'
--



--
-- Table structure for table 'messages'
--

DROP TABLE IF EXISTS `messages`;
CREATE TABLE `messages` (
  `id` int(10) NOT NULL auto_increment,
  `date_sent` datetime NOT NULL default '0000-00-00 00:00:00',
  `date_read` datetime NOT NULL default '0000-00-00 00:00:00',
  `ack` tinyint(1) NOT NULL default '0',
  `from_id` int(10) NOT NULL default '0',
  `to_id` int(10) NOT NULL default '0',
  `message` text NOT NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `id` (`id`),
  KEY `id_2` (`id`),
  KEY `from_id` (`from_id`),
  KEY `to_id` (`to_id`)
) TYPE=MyISAM COMMENT='Messages Between users';

--
-- Dumping data for table 'messages'
--



--
-- Table structure for table 'severity'
--

DROP TABLE IF EXISTS `severity`;
CREATE TABLE `severity` (
  `id` tinyint(10) NOT NULL auto_increment,
  `nivel` tinyint(10) NOT NULL default '0',
  `severity` varchar(20) NOT NULL default '',
  `bgcolor` varchar(15) NOT NULL default '',
  `fgcolor` varchar(15) NOT NULL default '',
  PRIMARY KEY  (`id`),
  KEY `nivel` (`nivel`),
  KEY `id` (`id`)
) TYPE=MyISAM;

--
-- Dumping data for table 'severity'
--


INSERT INTO `severity` VALUES (1,1,'Information','F9FD5F','000000'),(2,2,'Warning','00AA00','FFFFFF'),(3,3,'Fault','F51D30','EEEEEE'),(4,4,'Big Fault','DA4725','FFFFFF'),(5,5,'Critical','FF0000','FFFFFF');

--
-- Table structure for table 'slas'
--

DROP TABLE IF EXISTS `slas`;
CREATE TABLE `slas` (
  `id` int(10) NOT NULL auto_increment,
  `description` varchar(60) NOT NULL default '',
  `state` tinyint(10) NOT NULL default '0',
  `info` varchar(250) NOT NULL default '',
  `type` int(10) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `id` (`id`),
  KEY `id_2` (`id`),
  KEY `state` (`state`),
  KEY `type` (`type`)
) TYPE=MyISAM;

--
-- Dumping data for table 'slas'
--


INSERT INTO `slas` VALUES (1,'No SLA',3,'No SLA',12),(5,'IN>90% o RTT>20ms o PL>10%',3,'Main Link:',12),(4,'IN<95% y ( RTT>900ms o PL>50%)',3,'Client Sat Link:',12),(6,'IN>90% o RTT>700ms o PL>10%',3,'Main Sat Link:',12);

--
-- Table structure for table 'slas_cond'
--

DROP TABLE IF EXISTS `slas_cond`;
CREATE TABLE `slas_cond` (
  `id` int(10) NOT NULL auto_increment,
  `condition` varchar(250) NOT NULL default '',
  `description` varchar(60) NOT NULL default '',
  `event` varchar(60) NOT NULL default '',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `id` (`id`),
  KEY `id_2` (`id`)
) TYPE=MyISAM COMMENT='SLA Atomic Conditions';

--
-- Dumping data for table 'slas_cond'
--


INSERT INTO `slas_cond` VALUES (2,'(<rtt> > 40)','RoundTrip Time > 40ms','RTT > 40'),(3,'(<pl> > 20)','Packet Loss > 20%','PL > 20%'),(4,'(<in> < ((<bandwidthin>*95)/100))','Input Rate < 95%','IN < 95%'),(5,'AND','AND',''),(6,'OR','OR',''),(7,'(<rtt> > 700)','RoundTrip Time > 700ms','RTT > 700'),(8,'(<rtt> > 900)','RoundTrip Time > 900ms','RTT > 900'),(9,'(<pl> > 50)','Packet Loss > 50%','PL > 50%'),(1,'1=2','Unknown','Unknown'),(11,'(<in> > ((<bandwidthin>*90)/100))','Input Rate > 90%','IN > 90%');

--
-- Table structure for table 'slas_sla_cond'
--

DROP TABLE IF EXISTS `slas_sla_cond`;
CREATE TABLE `slas_sla_cond` (
  `id` int(10) NOT NULL auto_increment,
  `pos` tinyint(2) NOT NULL default '0',
  `sla` int(10) NOT NULL default '0',
  `cond` int(10) NOT NULL default '0',
  `show` tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `id` (`id`),
  KEY `id_2` (`id`),
  KEY `sla` (`sla`),
  KEY `cond` (`cond`)
) TYPE=MyISAM COMMENT='SLA - Condition Relationships';

--
-- Dumping data for table 'slas_sla_cond'
--


INSERT INTO `slas_sla_cond` VALUES (9,1,4,4,0),(10,2,4,8,1),(11,3,4,9,1),(12,4,4,6,0),(13,5,4,5,0),(14,1,5,11,1),(15,2,5,2,1),(16,4,5,3,1),(17,5,5,6,0),(18,3,5,6,0),(19,1,6,11,1),(20,2,6,7,1),(21,3,6,6,0),(22,4,6,3,1),(23,5,6,6,0);

--
-- Table structure for table 'syslog'
--

DROP TABLE IF EXISTS `syslog`;
CREATE TABLE `syslog` (
  `date` datetime NOT NULL default '0000-00-00 00:00:00',
  `host` varchar(128) default NULL,
  `date_logged` datetime NOT NULL default '0000-00-00 00:00:00',
  `message` text,
  `id` int(10) unsigned NOT NULL auto_increment,
  `analized` tinyint(2) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `analized` (`analized`)
) TYPE=MyISAM;

--
-- Dumping data for table 'syslog'
--



--
-- Table structure for table 'syslog_types'
--

DROP TABLE IF EXISTS `syslog_types`;
CREATE TABLE `syslog_types` (
  `id` int(10) NOT NULL auto_increment,
  `match` varchar(30) NOT NULL default '',
  `interface` varchar(10) NOT NULL default '',
  `user` varchar(10) NOT NULL default '',
  `state` varchar(10) NOT NULL default '',
  `info` varchar(10) NOT NULL default '',
  `type` int(10) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `id` (`id`),
  KEY `id_2` (`id`),
  KEY `match` (`match`)
) TYPE=MyISAM;

--
-- Dumping data for table 'syslog_types'
--


INSERT INTO `syslog_types` VALUES (1,'UNKNOWN','0','','','*',1),(2,'%SYS-5-CONFIG_I:','7','5','','',2),(3,'%LINEPROTO-5-UPDOWN:','5','','9','',3),(4,'%LINK-3-UPDOWN:','2','','6','',4),(5,'%CONTROLLER-5-UPDOWN:','3','','7','2',5),(6,'%BGP-5-ADJCHANGE:','2','','3','6',6),(7,'%LINK-5-CHANGED:','2','','7','6',7),(9,'%RCMD-4-RSHPORTATTEMPT:','5','','','7',9),(17,'%CLEAR-5-COUNTERS:','5','7','','10',17);

--
-- Table structure for table 'tools'
--

DROP TABLE IF EXISTS `tools`;
CREATE TABLE `tools` (
  `id` int(10) NOT NULL auto_increment,
  `description` varchar(30) NOT NULL default '',
  `url` varchar(150) NOT NULL default '',
  `field` int(10) NOT NULL default '0',
  `op` varchar(10) NOT NULL default '=',
  `value` varchar(60) NOT NULL default '',
  `image` varchar(40) NOT NULL default '',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `id` (`id`),
  KEY `id_2` (`id`)
) TYPE=MyISAM COMMENT='External Tools';

--
-- Dumping data for table 'tools'
--


INSERT INTO `tools` VALUES (1,'Unknown','',1,'=','1',''),(2,'Cisco Commands','http://www.cisco.com/univercd/cc/td/doc/product/software/ios122/122sup/122csum/csfindxa.htm',2,'=','8',''),(3,'Mark on Map','frame_interfaces_map.php?mark_interface=<interface_id>&events_update=0&map_id=<map_id>',1,'=','',''),(4,'Performance Graphs','rrd_viewer.php?interface_id=<interface_id>&host_id=<host_id>',2,'!=','8','graph.png');

--
-- Table structure for table 'traps'
--

DROP TABLE IF EXISTS `traps`;
CREATE TABLE `traps` (
  `id` int(10) NOT NULL auto_increment,
  `date` datetime NOT NULL default '0000-00-00 00:00:00',
  `ip` varchar(20) NOT NULL default '',
  `oid` varchar(250) NOT NULL default '',
  `value` varchar(100) NOT NULL default '',
  `analized` tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `id` (`id`),
  KEY `id_2` (`id`),
  KEY `analized` (`analized`)
) TYPE=MyISAM;

--
-- Dumping data for table 'traps'
--



--
-- Table structure for table 'traps_types'
--

DROP TABLE IF EXISTS `traps_types`;
CREATE TABLE `traps_types` (
  `id` int(10) NOT NULL auto_increment,
  `match` varchar(250) NOT NULL default '',
  `type` int(10) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `id` (`id`),
  KEY `id_2` (`id`),
  KEY `match` (`match`)
) TYPE=MyISAM COMMENT='Traps Match & Event Type Relation';

--
-- Dumping data for table 'traps_types'
--


INSERT INTO `traps_types` VALUES (2,'interfaces.ifTable.ifEntry.ifAdminStatus',4),(1,'UNKNOWN',1),(4,'interfaces.ifTable.ifEntry.ifOperStatus',3);

--
-- Table structure for table 'types'
--

DROP TABLE IF EXISTS `types`;
CREATE TABLE `types` (
  `id` int(10) NOT NULL auto_increment,
  `description` varchar(30) NOT NULL default '',
  `severity` tinyint(4) NOT NULL default '0',
  `text` varchar(250) NOT NULL default '',
  `generate_alarm` tinyint(1) NOT NULL default '0',
  `alarm_up` int(10) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `id` (`id`),
  KEY `id_2` (`id`),
  KEY `severity` (`severity`)
) TYPE=MyISAM;

--
-- Dumping data for table 'types'
--


INSERT INTO `types` VALUES (2,'Configuration',2,'<user>: Changed Configuration',0,1),(3,'Interface Protocol',3,'Interface <interface> Protocol <state> (<client> <interface-description>)',1,1),(4,'Interface Link',4,'Interface <interface> Link <state>  (<client> <interface-description>)',1,1),(5,'Controller Status',4,'Controller  <info> <interface> <state>',0,1),(6,'BGP Change',5,'BGP Neighbor <interface> <state> <info>',0,1),(7,'Interface Shutdown',4,'Interface <interface> <info> <state> (<client> <interface-description>)',1,4),(8,'Command',2,'<user>: <info>',0,1),(9,'RShell Attempt',1,'RShell attempt from <info> <state>',0,1),(1,'Unknown',2,'<interface> <user> <state> <info>',0,1),(12,'SLA',1,'Interface <interface> <info> (<client> <interface-description>)',1,1),(17,'Clear Counters',1,'<user> Cleared Counters of <interface>  (<client> <interface-description>)',0,1);

--
-- Table structure for table 'zones'
--

DROP TABLE IF EXISTS `zones`;
CREATE TABLE `zones` (
  `id` int(10) NOT NULL auto_increment,
  `zone` varchar(60) NOT NULL default '',
  `shortname` varchar(30) NOT NULL default '',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `id` (`id`),
  KEY `id_2` (`id`)
) TYPE=MyISAM;

--
-- Dumping data for table 'zones'
--


INSERT INTO `zones` VALUES (1,'Unknown','UNK');

